import { MachineConfig, EventObject, MachineOptions, OmniEvent, State, StateSchema, DefaultContext } from "xstate";
import { Interpreter } from "xstate/lib/interpreter";
export declare function useMachine<TStateSchema extends StateSchema, TEvent extends EventObject = EventObject, TContext = DefaultContext>(config: MachineConfig<TContext, TStateSchema, TEvent>, options: Partial<MachineOptions<TContext, TEvent>>, initialContext?: TContext): TCreateContext<TContext, TStateSchema, TEvent>;
export declare type TCreateContext<TContext, TStateSchema, TEvent extends EventObject> = {
    state: State<TContext, TEvent>;
    context: TContext;
    send: TSendFn<TContext, TEvent>;
    service: Interpreter<TContext, TStateSchema, TEvent>;
};
declare type TSendFn<TContext, TEvent extends EventObject> = (event: OmniEvent<TEvent>) => State<TContext, TEvent>;
export {};
